/*
** SellaNMS
** $Id: from.h,v 1.4 2005/05/21 23:10:28 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __FROM_H__
#define __FROM_H__

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

#include "clause.h"

class From: public Clause {
	public:
		From();
		From(From const &src);
		virtual ~From();
		virtual From const & operator=(From const& src) = 0;

		virtual ACTION evaluate(variable_binding_t &input);
		virtual RESULT compile(ConfigNode *config) = 0;

		virtual RESULT clear() = 0;
		virtual RESULT print(unsigned long depth = 0) = 0;
};

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim600: fdm=marker
** vim: noet ts=3 sw=3 sts=3
*/
